@charset "utf-8";

/* #region [ Weui 覆盖 ] */
[class^='weui-icon-'],
[class*=' weui-icon-'] {
  width: 30px;
  height: 30px;
}
/* #endregion */

:root {
  --color1: #2e68a2;
}

html,
body,
div,
table,
tr,
td {
  margin: 0;
  padding: 0;
}

.weui-form {
  background-color: #ececec;
}

.weui-media-box__title {
  font-weight: bold;
}

.weui-media-box__desc {
  color: var(--color1);
}

.weui-cells__group_form .weui-cells__title {
  color: var(--color1);
  font-size: 1.2em;
  font-weight: bold;
  letter-spacing: 0.1em;
}

.debug-mode-text {
  padding: 5px 0;
  background: yellow;
  border: 2px solid red;
  border-radius: 5px;
  color: blueviolet;
}

/* #region [ 报名页 ] */
.weui-article h1 {
  text-align: center;
}

.weui-article p {
  text-indent: 2em;
}
/* #endregion */

/* #region [ 报名页 - 课表 ] */
.table-week {
  border-collapse: collapse;
  margin-left: -10px;
}

.table-week td {
  width: 50px;
  min-width: 40px;
  height: 30px;
  text-align: center;
  border: 1px solid #909090;
  border-right: none;
}

.table-week tr:first-child td {
  font-weight: bold;
}

.table-lesson {
  width: 100%;
  border-collapse: collapse;
  margin-right: -10px;
}

.table-lesson td {
  height: 30px;
  text-align: center;
  white-space: nowrap;
  border: 1px solid #909090;
}

.table-lesson tr:first-child td {
  font-weight: bold;
}
/* #endregion */

.button-area {
  margin: 30px auto;
  padding: 15px;
  text-align: center;
}

.select-tip {
  color: #0000004d;
}

.lesson-num {
  font-weight: bold;
  font-size: 28px;
  color: mediumseagreen;
}

.lesson-num-full {
  font-weight: bold;
  font-size: 28px;
  color: red;
}

.require-label::after {
  content: '*';
  color: #ff0000;
  padding-left: 0.3em;
  vertical-align: middle;
}

.select-lesson-title {
  color: #ff0000;
}

.lesson {
  display: flex;
}

.test-warning {
  text-align: center;
  font-weight: bold;
}

.btn-active a:first-child {
  background-color: #10aeff;
}

.lessonlist-lesson-title {
  font-size: 1.2em;
  color: white;
  background: #2e83c9;
  letter-spacing: 0.1em;
}

.lessonlist-select-title {
  font-size: 1.2em;
  color: white;
  background: #494949;
  letter-spacing: 0.1em;
}

.top-tips {
  font-size: 1.2em;
  font-weight: bold;
  letter-spacing: 0.1em;
}
